#
# spec file for package libt3widget
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libt3widget
%define lname	libt3widget1
Version:        0.4.7
Release:        5.1
Summary:        The Tilde terminal dialog toolkit
License:        GPL-3.0
Group:          Development/Libraries/C and C++
Url:            http://os.ghalkes.nl/t3/libt3widget.html

#Git-Clone:	git://github.com/gphalkes/t3widget
Source:         http://os.ghalkes.nl/dist/%name-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  c++_compiler
BuildRequires:  gettext-tools
BuildRequires:  gpm-devel
BuildRequires:  libtool
BuildRequires:  libunistring-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(libt3key) >= 0.2.0
BuildRequires:  pkgconfig(libt3window) >= 0.2.1
BuildRequires:  pkgconfig(libtranscript) >= 0.2.2
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
%if 0%{?suse_version}
BuildRequires:  fdupes
%endif

%description
The libt3widget library provides a C++ dialog toolkit. It provides
objects for dialogs and widgets like buttons, text fields, check
boxes etc., to facilitate easy construction of dialog based programs
for Unix-type terminals.

%package -n %lname
Summary:        The Tilde terminal dialog toolkit
Group:          System/Libraries

%description -n %lname
The libt3widget library provides a C++ dialog toolkit. It provides
objects for dialogs and widgets like buttons, text fields, check
boxes etc., to facilitate easy construction of dialog based programs
for Unix-type terminals.

%package devel
Summary:        Development files for libt3widget, a terminal dialog library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
The libt3widget library provides a C++ dialog toolkit. It provides
objects for dialogs and widgets like buttons, text fields, check
boxes etc., to facilitate easy construction of dialog based programs
for Unix-type terminals.

This subpackage contains libraries and header files for developing
applications that want to make use of libt3widget.

%prep
%setup -q

%build
%configure --docdir="%_docdir/%name"
make %{?_smp_mflags}

%install
b="%buildroot"
make install DESTDIR="$b"
rm -f "$b/%_libdir"/*.la
%if 0%{?fdupes:1}
%fdupes %buildroot/%_prefix
%endif

%post   -p /sbin/ldconfig -n %lname
%postun -p /sbin/ldconfig -n %lname

%files -n %lname
%defattr(-,root,root)
%_libdir/libt3widget.so.1*
%_libdir/libt3widget*.mod
%doc COPYING

%files devel
%defattr(-,root,root)
%_includedir/t3/
%_libdir/libt3widget.so
%_libdir/pkgconfig/libt3widget.pc
%_docdir/%name/
%exclude %_docdir/%name/COPYING

%changelog
* Thu Feb 19 2015 p.drouand@gmail.com
- Update to version 0.4.7
  * Fix crashes due to invisible widgets getting activated through hotkeys.
  * Fix read of uninitialized value.
  * Fix memory leaks in edit widget undo/redo.
* Mon Jul 21 2014 jengelh@inai.de
- Update to new upstream release 0.4.6
  * This release fixes the movement of cursor after inserting a tab
  and when pressing left or right when text is selected.
  Furthermore, it disallows pasting of values with filtered
  characters in text fields.
  * This release also fixes the movement of cursor after positioning
  the cursor with the mouse; a crash when clicking beyond the text
  in wrap mode; sanitization of directory names.
* Mon Feb  3 2014 jengelh@inai.de
- Update to new upstream release 0.4.4
  * This release fixes the drawing of the last line when text
  wrapping is enabled, and fixes problems with X11 copy/paste and
  handles trailing slashes and double slashes in directory names
  in the file dialog properly.
* Mon Jun 10 2013 jengelh@inai.de
- Initial package (version 0.4.2) for build.opensuse.org
